ending_patch_prototype =
  {
    sheet = "__base__/graphics/entity/basic-transport-belt/start-end-integration-patches.png",
    width = 40,
    height = 40,
    priority = "extra-high"
  }
data:extend(
{
  {
    type = "transport-belt-to-ground",
    name = "medium-basic-transport-belt-to-ground",
    icon = "__base__/graphics/icons/basic-transport-belt-to-ground.png",
    flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "medium-basic-transport-belt-to-ground"},
    max_health = 70,
    corpse = "small-remnants",
    max_distance = 15,
    underground_sprite =
    {
      filename = "__core__/graphics/arrows/underground-lines.png",
      priority = "high",
      width = 32,
      height = 32,
      x = 32
    },
    resistances =
    {
      {
        type = "fire",
        percent = 60
      }
    },
    collision_box = {{-0.4, -0.15}, {0.4, 0.1}},
    selection_box = {{-0.5, -0.25}, {0.5, 0.75}},
    distance_to_enter = 0.35,
    animation_speed_coefficient = 32,
    belt_horizontal =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16
    },
    belt_vertical =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 40
    },
    ending_top =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 80
    },
    ending_bottom =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 120
    },
    ending_side =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 160
    },
    starting_top =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 200
    },
    starting_bottom =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 240
    },
    starting_side =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 280
    },
    fast_replaceable_group = "transport-belt-to-ground",
    speed = 0.03125,
    structure =
    {
      direction_in =
      {
        sheet = "__base__/graphics/entity/basic-transport-belt-to-ground/basic-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43
      },
      direction_out =
      {
        sheet = "__base__/graphics/entity/basic-transport-belt-to-ground/basic-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43,
        y = 43
      }
    },
    ending_patch = ending_patch_prototype
  },
  {
    type = "transport-belt-to-ground",
    name = "long-basic-transport-belt-to-ground",
    icon = "__base__/graphics/icons/basic-transport-belt-to-ground.png",
    flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "long-basic-transport-belt-to-ground"},
    max_health = 70,
    corpse = "small-remnants",
    max_distance = 30,
    underground_sprite =
    {
      filename = "__core__/graphics/arrows/underground-lines.png",
      priority = "high",
      width = 32,
      height = 32,
      x = 32
    },
    resistances =
    {
      {
        type = "fire",
        percent = 60
      }
    },
    collision_box = {{-0.4, -0.15}, {0.4, 0.1}},
    selection_box = {{-0.5, -0.25}, {0.5, 0.75}},
    distance_to_enter = 0.35,
    animation_speed_coefficient = 32,
    belt_horizontal =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16
    },
    belt_vertical =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 40
    },
    ending_top =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 80
    },
    ending_bottom =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 120
    },
    ending_side =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 160
    },
    starting_top =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 200
    },
    starting_bottom =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 240
    },
    starting_side =
    {
      filename = "__base__/graphics/entity/basic-transport-belt/basic-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 16,
      y = 280
    },
    fast_replaceable_group = "transport-belt-to-ground",
    speed = 0.03125,
    structure =
    {
      direction_in =
      {
        sheet = "__base__/graphics/entity/basic-transport-belt-to-ground/basic-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43
      },
      direction_out =
      {
        sheet = "__base__/graphics/entity/basic-transport-belt-to-ground/basic-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43,
        y = 43
      }
    },
    ending_patch = ending_patch_prototype
  },
  {
    type = "transport-belt-to-ground",
    name = "medium-fast-transport-belt-to-ground",
    icon = "__base__/graphics/icons/fast-transport-belt-to-ground.png",
    flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "medium-fast-transport-belt-to-ground"},
    max_health = 60,
    corpse = "small-remnants",
	max_distance = 15,
    underground_sprite =
    {
      filename = "__core__/graphics/arrows/underground-lines.png",
      priority = "high",
      width = 32,
      height = 32,
      x = 32
    },
    resistances = 
    {
      {
        type = "fire",
        percent = 60
      }
    },
    collision_box = {{-0.4, -0.15}, {0.4, 0.1}},
    selection_box = {{-0.5, -0.25}, {0.5, 0.75}},
    distance_to_enter = 0.35,
    animation_speed_coefficient = 32,
    belt_horizontal =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32
    },
    belt_vertical =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 40
    },
    ending_top =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 80
    },
    ending_bottom =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 120
    },
    ending_side =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 160
    },
    starting_top =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 200
    },
    starting_bottom =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 240
    },
    starting_side =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 280
    },
    fast_replaceable_group = "transport-belt-to-ground",
    speed = 0.0625,
    structure =
    {
      direction_in =
      {
        sheet = "__base__/graphics/entity/fast-transport-belt-to-ground/fast-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43
      },
      direction_out =
      {
        sheet = "__base__/graphics/entity/fast-transport-belt-to-ground/fast-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43,
        y = 43
      }
    },
    ending_patch = ending_patch_prototype
  },
  {
    type = "transport-belt-to-ground",
    name = "long-fast-transport-belt-to-ground",
    icon = "__base__/graphics/icons/fast-transport-belt-to-ground.png",
    flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "long-fast-transport-belt-to-ground"},
    max_health = 60,
    corpse = "small-remnants",
	max_distance = 30,
    underground_sprite =
    {
      filename = "__core__/graphics/arrows/underground-lines.png",
      priority = "high",
      width = 32,
      height = 32,
      x = 32
    },
    resistances = 
    {
      {
        type = "fire",
        percent = 60
      }
    },
    collision_box = {{-0.4, -0.15}, {0.4, 0.1}},
    selection_box = {{-0.5, -0.25}, {0.5, 0.75}},
    distance_to_enter = 0.35,
    animation_speed_coefficient = 32,
    belt_horizontal =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32
    },
    belt_vertical =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 40
    },
    ending_top =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 80
    },
    ending_bottom =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 120
    },
    ending_side =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 160
    },
    starting_top =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 200
    },
    starting_bottom =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 240
    },
    starting_side =
    {
      filename = "__base__/graphics/entity/fast-transport-belt/fast-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 280
    },
    fast_replaceable_group = "transport-belt-to-ground",
    speed = 0.0625,
    structure =
    {
      direction_in =
      {
        sheet = "__base__/graphics/entity/fast-transport-belt-to-ground/fast-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43
      },
      direction_out =
      {
        sheet = "__base__/graphics/entity/fast-transport-belt-to-ground/fast-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43,
        y = 43
      }
    },
    ending_patch = ending_patch_prototype
  },
  {
    type = "transport-belt-to-ground",
    name = "medium-express-transport-belt-to-ground",
    icon = "__base__/graphics/icons/express-transport-belt-to-ground.png",
    flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "medium-express-transport-belt-to-ground"},
    max_health = 60,
    corpse = "small-remnants",
	max_distance = 15,
    underground_sprite =
    {
      filename = "__core__/graphics/arrows/underground-lines.png",
      priority = "high",
      width = 32,
      height = 32,
      x = 32
    },
    resistances = 
    {
      {
        type = "fire",
        percent = 60
      }
    },
    collision_box = {{-0.4, -0.15}, {0.4, 0.1}},
    selection_box = {{-0.5, -0.25}, {0.5, 0.75}},
    distance_to_enter = 0.35,
    animation_speed_coefficient = 32,
    belt_horizontal =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32
    },
    belt_vertical =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 40,
    },
    ending_top =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 80
    },
    ending_bottom =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 120
    },
    ending_side =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 160
    },
    starting_top =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 200
    },
    starting_bottom =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 240
    },
    starting_side =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 280
    },
    fast_replaceable_group = "transport-belt-to-ground",
    speed = 0.09375,
    structure =
    {
      direction_in =
      {
        sheet = "__base__/graphics/entity/express-transport-belt-to-ground/express-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43
      },
      direction_out =
      {
        sheet = "__base__/graphics/entity/express-transport-belt-to-ground/express-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43,
        y = 43
      }
    },
    ending_patch = ending_patch_prototype
  },
  {
    type = "transport-belt-to-ground",
    name = "long-express-transport-belt-to-ground",
    icon = "__base__/graphics/icons/express-transport-belt-to-ground.png",
    flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "long-express-transport-belt-to-ground"},
    max_health = 60,
    corpse = "small-remnants",
	max_distance = 30,
    underground_sprite =
    {
      filename = "__core__/graphics/arrows/underground-lines.png",
      priority = "high",
      width = 32,
      height = 32,
      x = 32
    },
    resistances = 
    {
      {
        type = "fire",
        percent = 60
      }
    },
    collision_box = {{-0.4, -0.15}, {0.4, 0.1}},
    selection_box = {{-0.5, -0.25}, {0.5, 0.75}},
    distance_to_enter = 0.35,
    animation_speed_coefficient = 32,
    belt_horizontal =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32
    },
    belt_vertical =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 40,
    },
    ending_top =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 80
    },
    ending_bottom =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 120
    },
    ending_side =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 160
    },
    starting_top =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 200
    },
    starting_bottom =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 240
    },
    starting_side =
    {
      filename = "__base__/graphics/entity/express-transport-belt/express-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 280
    },
    fast_replaceable_group = "transport-belt-to-ground",
    speed = 0.09375,
    structure =
    {
      direction_in =
      {
        sheet = "__base__/graphics/entity/express-transport-belt-to-ground/express-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43
      },
      direction_out =
      {
        sheet = "__base__/graphics/entity/express-transport-belt-to-ground/express-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43,
        y = 43
      }
    },
    ending_patch = ending_patch_prototype
  },




  {
    type = "transport-belt-to-ground",
    name = "medium-super-transport-belt-to-ground",
    icon = "__DyTech-Transportation__/graphics/icons/super-transport-belt-to-ground.png",
    flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "super-transport-belt-to-ground"},
    max_health = 60,
    corpse = "small-remnants",
	max_distance = 15,
    underground_sprite =
    {
      filename = "__core__/graphics/arrows/underground-lines.png",
      priority = "high",
      width = 32,
      height = 32,
      x = 32
    },
    resistances = 
    {
      {
        type = "fire",
        percent = 60
      }
    },
    collision_box = {{-0.4, -0.15}, {0.4, 0.1}},
    selection_box = {{-0.5, -0.25}, {0.5, 0.75}},
    distance_to_enter = 0.35,
    animation_speed_coefficient = 32,
    belt_horizontal =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32
    },
    belt_vertical =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 40,
    },
    ending_top =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 80
    },
    ending_bottom =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 120
    },
    ending_side =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 160
    },
    starting_top =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 200
    },
    starting_bottom =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,

      y = 240
    },
    starting_side =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 280
    },
    fast_replaceable_group = "transport-belt-to-ground",
    speed = 0.09375,
    structure =
    {
      direction_in =
      {
        sheet = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43
      },
      direction_out =
      {
        sheet = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43,
        y = 43
      }
    },
    ending_patch = ending_patch_prototype
  },
  {
    type = "transport-belt-to-ground",
    name = "long-super-transport-belt-to-ground",
    icon = "__DyTech-Transportation__/graphics/icons/super-transport-belt-to-ground.png",
    flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "long-super-transport-belt-to-ground"},
    max_health = 60,
    corpse = "small-remnants",
	max_distance = 30,
    underground_sprite =
    {
      filename = "__core__/graphics/arrows/underground-lines.png",
      priority = "high",
      width = 32,
      height = 32,
      x = 32
    },
    resistances = 
    {
      {
        type = "fire",
        percent = 60
      }
    },
    collision_box = {{-0.4, -0.15}, {0.4, 0.1}},
    selection_box = {{-0.5, -0.25}, {0.5, 0.75}},
    distance_to_enter = 0.35,
    animation_speed_coefficient = 32,
    belt_horizontal =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32
    },
    belt_vertical =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 40,
    },
    ending_top =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 80
    },
    ending_bottom =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 120
    },
    ending_side =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 160
    },
    starting_top =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 200
    },
    starting_bottom =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 240
    },
    starting_side =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 280
    },
    fast_replaceable_group = "transport-belt-to-ground",
    speed = 0.09375,
    structure =
    {
      direction_in =
      {
        sheet = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43
      },
      direction_out =
      {
        sheet = "__DyTech-Transportation__/graphics/entity/transport-belt/super-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43,
        y = 43
      }
    },
    ending_patch = ending_patch_prototype
  },
  {
    type = "transport-belt-to-ground",
    name = "medium-extreme-transport-belt-to-ground",
    icon = "__DyTech-Transportation__/graphics/icons/extreme-transport-belt-to-ground.png",
    flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "medium-extreme-transport-belt-to-ground"},
    max_health = 60,
    corpse = "small-remnants",
	max_distance = 15,
    underground_sprite =
    {
      filename = "__core__/graphics/arrows/underground-lines.png",
      priority = "high",
      width = 32,
      height = 32,
      x = 32
    },
    resistances = 
    {
      {
        type = "fire",
        percent = 60
      }
    },
    collision_box = {{-0.4, -0.15}, {0.4, 0.1}},
    selection_box = {{-0.5, -0.25}, {0.5, 0.75}},
    distance_to_enter = 0.35,
    animation_speed_coefficient = 32,
    belt_horizontal =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32
    },
    belt_vertical =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 40,
    },
    ending_top =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 80
    },
    ending_bottom =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 120
    },
    ending_side =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 160
    },
    starting_top =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 200
    },
    starting_bottom =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 240
    },
    starting_side =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 280
    },
    fast_replaceable_group = "transport-belt-to-ground",
    speed = 0.09375,
    structure =
    {
      direction_in =
      {
        sheet = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43
      },
      direction_out =
      {
        sheet = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43,
        y = 43
      }
    },
    ending_patch = ending_patch_prototype
  },
  {
    type = "transport-belt-to-ground",
    name = "long-extreme-transport-belt-to-ground",
    icon = "__DyTech-Transportation__/graphics/icons/extreme-transport-belt-to-ground.png",
    flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "long-express-transport-belt-to-ground"},
    max_health = 60,
    corpse = "small-remnants",
	max_distance = 30,
    underground_sprite =
    {
      filename = "__core__/graphics/arrows/underground-lines.png",
      priority = "high",
      width = 32,
      height = 32,
      x = 32
    },
    resistances = 
    {
      {
        type = "fire",
        percent = 60
      }
    },
    collision_box = {{-0.4, -0.15}, {0.4, 0.1}},
    selection_box = {{-0.5, -0.25}, {0.5, 0.75}},
    distance_to_enter = 0.35,
    animation_speed_coefficient = 32,
    belt_horizontal =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32
    },
    belt_vertical =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 40,
    },
    ending_top =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 80
    },
    ending_bottom =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 120
    },
    ending_side =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 160
    },
    starting_top =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 200
    },
    starting_bottom =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 240
    },
    starting_side =
    {
      filename = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt.png",
      priority = "extra-high",
      frame_width = 40,
      frame_height = 40,
      frame_count = 32,
      y = 280
    },
    fast_replaceable_group = "transport-belt-to-ground",
    speed = 0.09375,
    structure =
    {
      direction_in =
      {
        sheet = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43
      },
      direction_out =
      {
        sheet = "__DyTech-Transportation__/graphics/entity/transport-belt/extreme-transport-belt-to-ground-structure.png",
        priority = "extra-high",
        shift = {0.26, 0},
        width = 57,
        height = 43,
        y = 43
      }
    },
    ending_patch = ending_patch_prototype
  }
  
  }
  )
